import MapData from './model/MapData';

import Renderer from './view/Renderer';
import {loadMap} from './view/MapLoader';

window.onload = () => {
	const canvas = document.getElementById('rpgedit') as HTMLCanvasElement;
	if (!canvas)
		return;

	const renderer = new Renderer(canvas);

        let xhr = new XMLHttpRequest();

        xhr.addEventListener('load', async function() {
                let mapDef = new MapData(JSON.parse(this.responseText));

                let mapView = await loadMap(renderer, mapDef);
                mapView.draw();
        });

        xhr.open('GET', 'resources/map/test.json', true);
        xhr.send();
};
