import {mapFromObject} from '../util';


interface Input {
        tiles: {[key: string]: string};
        collision: string[];
        layers: string[][][];
}

export default class MapData {
        tiles: Map<string, string>;
        collision: string[];
        layers: string[][][];

        width: number;
        height: number;

        constructor(data: Input) {
                this.tiles = mapFromObject(data.tiles);
                this.collision = data.collision;
                this.layers = data.layers;

                this.height = this.collision.length;
                this.width = this.collision[0].length;
        }
}
